import { SchemaSettingOptions, SchemaSettingsItemType, SchemaSettingsItemTypeWithoutName } from './types';
export declare class SchemaSettings<T = {}> {
    options: SchemaSettingOptions<T>;
    name: string;
    get items(): SchemaSettingsItemType[];
    constructor(options: SchemaSettingOptions<T>);
    add(name: string, item: SchemaSettingsItemTypeWithoutName): void;
    get(nestedName: string): SchemaSettingsItemType | undefined;
    remove(nestedName: string): void;
}
